<template>
  <div
    :style="`--player-info-background: url('${playerInfoBackground}')`"
    class="player-info menu-drawer-border"
  >
    <div class="player-info__block">
      <p class="greeting">
        <span class="opacity-50">{{ `${$t("hi")}, ` }}</span>
        <span class="username">{{ store.state.username }}</span>
      </p>
      <div class="player-balance">
        <div class="wallet-list">
          <template v-for="(wallet, index) in wallets" :key="index">
            <p class="wallet-name" :class="wallet.getWalletNameForDisplay()">
              {{ wallet.getWalletNameForDisplay() }}
            </p>
            <div class="flex justify-between items-baseline self-stretch">
              <p class="actual-balance truncate max-w-[80%]">
                {{ wallet.getBetCreditForDisplay() }}
              </p>
              <div class="flex items-center gap-[2px]">
                <p
                  class="text-xs font-medium"
                  :class="{ 'mr-[10px]': index > 0 }"
                >
                  {{ store.state.currency }}
                </p>
                <icons
                  v-if="index === 0"
                  :is-refresh="true"
                  class="h-[10px] w-[10px]"
                  @click="getMultiWallets"
                />
              </div>
            </div>
          </template>
        </div>
        <div
          v-if="isCashPlayer && isShowDepositWithdrawal"
          class="w-full flex gap-2 items-stretch self-start"
        >
          <nuxt-link :to="isMobile ? '/deposit' : '?uc=/deposit'" class="action-btn uppercase" @click="$emit('onClickSamePage')" :id="ID.DEPOSIT_SIDE_BAR">
            <div class="w-full flex gap-1 justify-center items-center pointer-events-none">
              <svg-icon
                svg-name="icon-deposit"
                class="min-w-[14px] min-h-[14px] w-[14px] h-[14px] icon"
                style="fill: var(--text5)"
              />
              <span class="truncate max-w-[90%]">{{ $t(`deposit${isBhinbhin}`) }}</span>
            </div>
          </nuxt-link>
          <nuxt-link :to="isMobile ? '/withdrawal' : '?uc=/withdrawal'" class="action-btn uppercase" @click="$emit('onClickSamePage')" :id="ID.WITHDRAWAL_SIDE_BAR">
            <div class="w-full flex gap-1 justify-center items-center pointer-events-none">
              <svg-icon
                svg-name="icon-withdraw"
                class="min-w-[14px] min-h-[14px] w-[14px] h-[14px] icon"
                style="fill: var(--text5)"
              />
              <span class="truncate max-w-[90%]">{{ $t("withdrawal") }}</span>
            </div>
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { store } from "~~/store";
import useBalanceInfo from "~/composables/useBalanceInfo";

const { isCashPlayer, isShowDepositWithdrawal } = useMenu();
const { getAssetImage, isBhinbhin } = commonHelper;
const { wallets, getMultiWallets } = useBalanceInfo();
const playerInfoBackground = getAssetImage(
  "assets/theme/global/images/menu-bg.png"
);

// const isAuth = computed(() => store.state);
const isMobile = !useIsDesktop();
</script>

<style scoped>
.divider.horizontal {
  width: 100%;
  height: 1px;
  background: var(--border);
}

.player-info__block::before,
.player-info__block::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 0;
}

.player-info__block > * {
  z-index: 1;
}

.player-info__block::after {
  background-image: var(--player-info-background);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  mix-blend-mode: color-dodge;
}

.player-info__block::before {
  background: linear-gradient(
      0deg,
      rgba(0, 0, 0, 0.25) 0%,
      rgba(0, 0, 0, 0.25) 100%
    ),
    var(--background5, #1d2052);
}

.player-info {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  align-self: stretch;
  background: linear-gradient(
      0deg,
      rgba(0, 0, 0, 0.25) 0%,
      rgba(0, 0, 0, 0.25) 100%
    ),
    var(--background5, #1d2052);
  color: var(--text5, #fff);
  font-style: normal;
  line-height: normal;
  text-transform: capitalize;
}

.player-info .player-balance .wallet-name {
  font-size: 12px;
  font-weight: 500;
  opacity: 0.5;
}

.player-info .player-info__block {
  /* background: var(--player-info-background); */
  position: relative;
}

.player-info .player-info__block,
.player-info .wallet-list,
.player-info .player-balance {
  display: flex;
  padding: 16px;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.player-info .player-balance {
  border-radius: 8px;
  background: var(--background5, #1d2052);
  overflow: hidden;
  gap: 16px;
}

.player-info .wallet-list {
  padding: 0;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--border);
}

.player-info .greeting {
  font-size: 14px;
  font-weight: 400;
  color: var(--text5, #fff);
  font-style: normal;
  line-height: normal;
  text-transform: capitalize;
}

.player-info .greeting .username {
  font-size: 16px;
  font-weight: 700;
}

.player-info__block .actual-balance {
  font-size: 24px;
  font-weight: 700;
}

.player-balance .action-btn {
  display: flex;
  padding: 8px;
  justify-content: center;
  align-items: center;
  gap: 4px;
  flex: 1 0 0;
  border-radius: 4px;
  background: var(--primary);
  width: 50%;
  font-size: 12px;
}
</style>
<style lang="scss">
[theme-color="global_light_01"] {
  .player-balance .action-btn {
    color: var(--textBtn);
  }
  .action-btn .icon {
    fill: var(--textBtn) !important;
  }
  .uc-menu-tile {
    background: linear-gradient(0deg,
      rgba(0, 0, 0, 0.05) 0%,
      rgba(0, 0, 0, 0.05) 100%),
    var(--background5);
  }
}
</style>